* {
  margin: 0;
  padding: 0;/* Supprime les marges et les paddings par défaut de tous les éléments */
  box-sizing: border-box;
  font-family: 'Inter', sans-serif;
}




section, article {
  opacity: 0;
  transform: translateY(30px);
  transition: all 0.6s ease-out;
}

section.active, article.active, .container > a.active {
  opacity: 1;
  transform: translateY(0);
}

#loader {
  position: fixed;
  top: 0; left: 0;
  width: 100%; height: 100%;
  background: #ffffff;
  display: flex;
  flex-direction: column; /* <-- AJOUTEZ CECI : empile les éléments */
  align-items: center;
  justify-content: center;
  gap: 20px; /* Ajoute un espace entre le logo et le spinner */
  z-index: 9999;
  transition: opacity 0.5s ease, visibility 0.5s ease;
}


#loader .logo {
  font-size: 2rem;
  font-weight: bold;
  color: #333;
}
#loader .logo span1,
#loader .logo span {
  font-size: 2rem;
}
 
#loader.hidden {
  opacity: 0;
  visibility: hidden;
}

.loader-spinner {
  width: 60px;
  height: 60px;
  border: 5px solid #fea72e33;
  border-top-color: #FEA82E;
  border-radius: 50%;
  animation: spin 0.8s linear infinite;
}

@keyframes spin {
  to { transform: rotate(360deg); }
}
